<h2>Shibuya CMS</h2>

<p>カスタム投稿タイプの設定ファイルをつくり、そのファイルに記載した内容で、投稿画面を作成できます。</p>
<p>カスタム投稿の設定はテーマやプラグインと同じくファイル冒頭のコメントアウトを利用します。</p>

<div style="border:1px solid #ccc; background:white; margin-bottom:20px;">
	<p style="margin:0; padding:2px 8px 1px; border-bottom:1px solid #ccc;">投稿タイプ設定一覧</p>
	<?php if( $files = get_option('shibuya-cms-files') ) : ?>
	<ul style="margin:0; padding:8px">
	<?php foreach( $files as $pid => $file ) : ?>
		<li><a href="<?php echo $_SERVER['PHP_SELF'] ?>?<?php
					$gets = $_GET;
					$gets['pid'] = $pid;
					echo http_build_query($gets);
					?>" class="button"><?php echo esc_html($file['name']) ?>(<?php echo esc_html($file['slug']) ?>)</a> 
			<a href="<?php echo $_SERVER['PHP_SELF'] ?>?<?php
					$gets = $_GET;
					$gets['pid'] = $pid;
					$gets['delete'] = 1;
					echo http_build_query($gets);
					?>" onclick="if(!confirm('削除してもよろしいでしょうか？')){ return false; }" style="display:inline-block; padding:0 10px 1px; line-height:2">削除</a></li>
	<?php endforeach ?>
	</ul>
	<?php else : ?>
	<p style="margin:0; padding:8px">まだ投稿タイプ設定はありません</p>
	<?php endif ?>
</div>


<form method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>" novalidate="novalidate" style="border-top: 1px solid #ccc;">
	<input type="hidden" name="_shibuya_cms_add_post_type" value="1" />
	<p>
		<label>SLUG : <input type="text" name="post_type_slug" /></label><br />
		<label>NAME : <input type="text" name="post_type_name" /></label>
	</p>
	<p>
		<input type="submit" name="__shibuya_cms_add_post_type" class="button button-primary" value="追加">
	</p>
</form>
